%define rname	tab_scope
%define version 0.2.2.8
%define release alt2
%define cid	tabscope@xuldev.org
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Shows a popup on tabs and enables you to preview and navigate tab contents through popup
Summary(ru_RU.KOI8-R):	          

License:	MPL 1.1/GPL 2.0/GPL 2.1
Group:		Networking/WWW
URL:		http://www.xuldev.org/tabscope/

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	%rname-%version-fx.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 2.0

%description
Major features are:

* Real-time preview of tab contents
* Navigate (Back/Forward/Reload/Stop) through popup
* Scroll pages or frames in preview with mouse wheel
* Click links or buttons directly in preview

For more info, please see http://www.xuldev.org/tabscope/

%description -l ru_RU.KOI8-R
  :

*      ;
*  (/ң//)   ;
*     (frames)    ;
*        .

       
http://www.xuldev.org/tabscope/

%prep
%setup -T -c -n %rname.%version.xpi
unzip -qq %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Aug 14 2008 Yury Aliaev <mutabor@altlinux.ru> 0.2.2.8-alt2
- rpm bug workaround (sources are set to lowercase when unzipping)

* Thu Aug 07 2008 Yury Aliaev <mutabor@altlinux.ru> 0.2.2.8-alt1
- initial build for Sisyphus
